# SubStopEvent (SubServers.Bungee)

net.ME1312.SubServers.Bungee.Event

## Class SubStopEvent

- java.lang.Object
- - net.md_5.bungee.api.plugin.Event
  - - net.ME1312.SubServers.Bungee.Event.SubStopEvent

All Implemented Interfaces:
  net.md_5.bungee.api.plugin.Cancellable, SubEvent

    public class SubStopEvent
    extends net.md_5.bungee.api.plugin.Event
    implements SubEvent, net.md_5.bungee.api.plugin.Cancellable

Server Stop Event

### Constructor Summary

Constructors
Constructor and Description
`SubStopEvent(java.util.UUID player, SubServer server, boolean force)` Server Stop Event

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.UUID` `getPlayer()` Gets the player that triggered the Event
`SubServer` `getServer()` Gets the Server Effected
`boolean` `isCancelled()` Gets the Cancelled Status
`boolean` `isForced()` Gets if it was a forced shutdown
`void` `setCancelled(boolean value)` Sets the Cancelled Status

### Methods inherited from class net.md_5.bungee.api.plugin.Event

`postCall`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubStopEvent

    public SubStopEvent(java.util.UUID player,
                        SubServer server,
                        boolean force)

Server Stop Event

Parameters:
  `player` - Player Stopping Server
  `server` - Server Stopping
  `force` - If it was a Forced Shutdown

### Method Detail

#### getServer

    public SubServer getServer()

Gets the Server Effected

Returns:
  The Server Effected

#### getPlayer

    public java.util.UUID getPlayer()

Gets the player that triggered the Event

Returns:
  The Player that triggered this Event or null if Console

#### isForced

    public boolean isForced()

Gets if it was a forced shutdown

Returns:
  Forced Shutdown Status

#### isCancelled

    public boolean isCancelled()

Gets the Cancelled Status

Specified by:
  `isCancelled` in interface `net.md_5.bungee.api.plugin.Cancellable`
Returns:
  Cancelled Status

#### setCancelled

    public void setCancelled(boolean value)

Sets the Cancelled Status

Specified by:
  `setCancelled` in interface `net.md_5.bungee.api.plugin.Cancellable`